> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1policy holders

> Get a policy holder



## OpenAPI

````yaml get /v1/policy-holders/{policy_holder_id}
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/policy-holders/{policy_holder_id}:
    get:
      tags:
        - Policy Holders
      description: Get a policy holder
      parameters:
        - schema:
            type: string
            minLength: 1
            example: phol_2c1x7V4r47ynM4RABVm1Co0UKkG
          required: true
          name: policy_holder_id
          in: path
      responses:
        '200':
          description: Get a policy holder
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolicyHolder'
        '401':
          description: Authentication invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - Bearer: []
components:
  schemas:
    PolicyHolder:
      type: object
      properties:
        policy_holder_id:
          type: string
          minLength: 1
          example: phol_2c1x7V4r47ynM4RABVm1Co0UKkG
        status:
          type: string
          enum:
            - ACTIVE
            - BLACKLISTED
            - BLOCKED
            - CANCELED
            - CLOSED
          example: ACTIVE
        gender:
          type: string
          enum:
            - FEMALE
            - MALE
          default: MALE
          example: MALE
        last_name:
          type: string
          minLength: 1
          maxLength: 250
          example: MALONGA
        first_name:
          type: string
          maxLength: 250
          example: Jules
        phone_number:
          type: string
          minLength: 1
          example: '242059758563'
        date_of_birth:
          type: string
          example: '1974-12-02'
      required:
        - policy_holder_id
        - status
        - last_name
        - phone_number
        - date_of_birth
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````